at.chipkarte.client.bkf.soap

## Class TherapiePathologieDoku

- Object
- - at.chipkarte.client.bkf.soap.TherapiePathologieDoku

-     public class TherapiePathologieDoku
      extends Object

  Enthält die Ergebnisdaten zur Therapiedokumentation Pathologie, zum Aufruf der Funktion createTherapiePathologieDoku.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TherapiePathologieDoku()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbstandResektionsraender()` Minimaler Abstand des Tumors zum Resektionsrand.
    `String` | `getBlutgefaesseinbruch()` Gefäßeinbrüche (Blutgefäße).
    `String` | `getEinlaufdatum()` Erstes Einlaufdatum Pathologie.
    `String` | `getLymphgefaesseinbruch()` Gefäßeinbrüche (Lymphgefäße).
    `String` | `getmSuffix()` (m)-Suffix gemäß TNM-Klassifikation.
    `String` | `getOestrogen()` Östrogenrezeptor-Status (Prozentangabe).
    `String` | `getPathologieDiagnoseHistologie()` Histologische Pathologie Diagnose.
    `String` | `getpNKategorie()` pN (oder ypN) Kategorie nach UICC.
    `String` | `getProgesteron()` Progesteronrezeptor-Status (Prozentangabe).
    `String` | `getpTKategorie()` pT (oder ypT) Kategorie nach UICC.
    `String` | `getrPraefix()` r-Präfix gemäß TNM-Klassifikation.
    `String` | `getSeite()` Betroffene Seite.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `String` | `getTumorgrading()` Tumorgrad nach Elston und Ellis.
    `String` | `getVersionsnummer()` Version der Dokumentation.
    `String` | `getyPraefix()` y-Präfix gemäß TNM-Klassifikation.
    `void` | `setAbstandResektionsraender(String abstandResektionsraender)`
    `void` | `setBlutgefaesseinbruch(String blutgefaesseinbruch)`
    `void` | `setEinlaufdatum(String einlaufdatum)`
    `void` | `setLymphgefaesseinbruch(String lymphgefaesseinbruch)`
    `void` | `setmSuffix(String mSuffix)`
    `void` | `setOestrogen(String oestrogen)`
    `void` | `setPathologieDiagnoseHistologie(String diagnoseHistologie)`
    `void` | `setpNKategorie(String pNKategorie)`
    `void` | `setProgesteron(String progesteron)`
    `void` | `setpTKategorie(String ptKategorie)`
    `void` | `setrPraefix(String rPraefix)`
    `void` | `setSeite(String seite)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTumorgrading(String tumorgrading)`
    `void` | `setVersionsnummer(String versionsnummer)`
    `void` | `setyPraefix(String yPraefix)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TherapiePathologieDoku

          public TherapiePathologieDoku()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createTherapiePathologieDoku()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version der Dokumentation.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationVersionTypConstant`.
      ParameterID: 9003.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getEinlaufdatum

          public String getEinlaufdatum()

      Erstes Einlaufdatum Pathologie.
      Angabe: Muss. Darf nicht in der Zukunft liegen.
      Format: TT.MM.JJJJ
      ParameterID: 0928
      Returns:
        Einlaufdatum

    - #### setEinlaufdatum

          public void setEinlaufdatum(String einlaufdatum)

    - #### getSeite

          public String getSeite()

      Betroffene Seite.
      Angabe: Muss.
      Mögliche Werte siehe `TherapieseiteConstant`.
      ParameterID: 0903
      Returns:
        Seite

    - #### setSeite

          public void setSeite(String seite)

    - #### getPathologieDiagnoseHistologie

          public String getPathologieDiagnoseHistologie()

      Histologische Pathologie Diagnose.
      Angabe: Muss.
      Mögliche Werte siehe `HistologischePathologieDiagnoseTypConstant`.
      ParameterID: 0906
      Returns:
        PathologieDiagnoseHistologie

    - #### setPathologieDiagnoseHistologie

          public void setPathologieDiagnoseHistologie(String diagnoseHistologie)

    - #### getOestrogen

          public String getOestrogen()

      Östrogenrezeptor-Status (Prozentangabe).
      Angabe: Bedingt. Darf nicht angegeben werden, wenn PathologieDiagnoseHistologie ungleich 40, 41 oder 50 belegt ist.
      Format: numerisch, maximal 3-stellig, Wertebereich 0-100.
      ParameterID: 0912
      Returns:
        Oestrogen

    - #### setOestrogen

          public void setOestrogen(String oestrogen)

    - #### getProgesteron

          public String getProgesteron()

      Progesteronrezeptor-Status (Prozentangabe).
      Angabe: Bedingt. Darf nicht angegeben werden, wenn PathologieDiagnoseHistologie mit einem Wert ungleich '40', '41' oder '50' belegt ist.
      Format: numerisch, maximal 3-stellig, Wertebereich 0-100.
      ParameterID: 0913
      Returns:
        Progesteron

    - #### setProgesteron

          public void setProgesteron(String progesteron)

    - #### getpTKategorie

          public String getpTKategorie()

      pT (oder ypT) Kategorie nach UICC.
      Angabe: Bedingt. Muss angegeben werden, wenn PathologieDiagnoseHistologie mit einem Wert '30', '31', '40' oder '50' belegt ist. Mögliche Werte siehe `PTKategorieTypConstant`.
      ParameterID: 0932
      Returns:
        ptKategorie

    - #### setpTKategorie

          public void setpTKategorie(String ptKategorie)

    - #### getLymphgefaesseinbruch

          public String getLymphgefaesseinbruch()

      Gefäßeinbrüche (Lymphgefäße).
      Angabe: Bedingt. Muss angegeben werden, wenn PathologieDiagnoseHistologie mit dem Wert '50' belegt ist.
      Mögliche Werte siehe `LymphgefaesseinbruchPathologieTypConstant`.
      ParameterID: 0915
      Returns:
        Lymphgefaesseinbruch

    - #### setLymphgefaesseinbruch

          public void setLymphgefaesseinbruch(String lymphgefaesseinbruch)

    - #### getBlutgefaesseinbruch

          public String getBlutgefaesseinbruch()

      Gefäßeinbrüche (Blutgefäße).
      Angabe: Bedingt. Muss angegeben werden, wenn PathologieDiagnoseHistologie mit dem Wert '50' belegt ist.
      Mögliche Werte siehe `BlutgefaesseinbruchPathologieTypConstant`.
      ParameterID: 0916
      Returns:
        Blutgefaesseinbruch

    - #### setBlutgefaesseinbruch

          public void setBlutgefaesseinbruch(String blutgefaesseinbruch)

    - #### getTumorgrading

          public String getTumorgrading()

      Tumorgrad nach Elston und Ellis.
      Angabe: Bedingt. Muss angegeben werden, wenn PathologieDiagnoseHistologie mit dem Wert '40', '41' oder '50' belegt ist.
      Mögliche Werte siehe `TumorgradingTypConstant`.
      ParameterID: 0929
      Returns:
        Tumorgrading

    - #### setTumorgrading

          public void setTumorgrading(String tumorgrading)

    - #### getyPraefix

          public String getyPraefix()

      y-Präfix gemäß TNM-Klassifikation.
      Angabe: Muss. Mögliche Werte siehe `JaNeinUnbekanntTypConstant`.
      ParameterID: 0930
      Returns:
        yPraefix

    - #### setyPraefix

          public void setyPraefix(String yPraefix)

    - #### getrPraefix

          public String getrPraefix()

      r-Präfix gemäß TNM-Klassifikation.
      Angabe: Muss. Mögliche Werte siehe `JaNeinUnbekanntTypConstant`.
      ParameterID: 0931
      Returns:
        rPraefix

    - #### setrPraefix

          public void setrPraefix(String rPraefix)

    - #### getpNKategorie

          public String getpNKategorie()

      pN (oder ypN) Kategorie nach UICC.
      Angabe: Bedingt. Muss angegeben werden, wenn PathologieDiagnoseHistologie mit dem Wert '50' belegt ist.
      Mögliche Werte siehe `PNKategorieTypConstant`.
      ParameterID: 0933
      Returns:
        pNKategorie

    - #### setpNKategorie

          public void setpNKategorie(String pNKategorie)

    - #### getmSuffix

          public String getmSuffix()

      (m)-Suffix gemäß TNM-Klassifikation.
      Angabe: Muss. Mögliche Werte siehe `JaNeinUnbekanntTypConstant`.
      ParameterID: 0934
      Returns:
        mSuffix

    - #### setmSuffix

          public void setmSuffix(String mSuffix)

    - #### getAbstandResektionsraender

          public String getAbstandResektionsraender()

      Minimaler Abstand des Tumors zum Resektionsrand.
      Angabe: Kann.
      Format: numerisch, maximal 2-stellig, Wertebereich 0-99.
      ParameterID: 0925
      Returns:
        AbstandResektionsraender

    - #### setAbstandResektionsraender

          public void setAbstandResektionsraender(String abstandResektionsraender)